<h2 mat-dialog-title>
  {{ isEditMode ? 'Редагувати' : 'Створити' }} тип документу
</h2>
<form
  class="form"
  [formGroup]="form"
  (submit)="processDocumentType()"
  #formElement="ngForm">
  <mat-dialog-content class="inputs">
    <mat-form-field>
      <mat-label>Назва типу документа</mat-label>
      <input cdkFocusInitial formControlName="name" matInput />
      <mat-icon matIconSuffix *ngIf="formElement.pending"
        >hourglass_top</mat-icon
      >
      <mat-error *ngIf="nameFC.hasError('required')">
        Обов`язкове поле
      </mat-error>
      <mat-error *ngIf="nameFC.hasError('isNotUnique')">
        Такий тип документу вже існує
      </mat-error>
    </mat-form-field>
  </mat-dialog-content>
  <mat-dialog-actions align="end">
    <button mat-button mat-dialog-close>Закрити</button>
    <button
      [disabled]="
        formElement.pending || (formElement.submitted && formElement.invalid)
      "
      type="submit"
      mat-button>
      {{ isEditMode ? 'Редагувати' : 'Створити' }}
    </button>
  </mat-dialog-actions>
</form>
